"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyComponentGallery = void 0;
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const base_react_navigation_link_1 = require("@teambit/base-react.navigation.link");
const evangelist_elements_icon_1 = require("@teambit/evangelist.elements.icon");
const base_ui_text_text_sizes_1 = require("@teambit/base-ui.text.text-sizes");
const community_constants_links_1 = require("@teambit/community.constants.links");
const empty_component_gallery_module_scss_1 = __importDefault(require("./empty-component-gallery.module.scss"));
/**
 * page to be shown when workspace/scope has no components
 */
function EmptyComponentGallery({ name, children }) {
    // TODO: get the docs domain from the community aspect and pass it here as a prop
    return (react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.emptyComponentGallery },
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.title },
            react_1.default.createElement("span", null, "Export components to"),
            "\u00A0",
            react_1.default.createElement("span", null, name)),
        react_1.default.createElement("img", { src: "https://static.bit.dev/harmony/no-components.svg" }),
        children,
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.title },
            react_1.default.createElement("span", null, "New to Bit?"),
            " \u00A0",
            react_1.default.createElement(base_react_navigation_link_1.Link, { external: true, href: `${community_constants_links_1.links.docs}/getting-started/installing-bit/installing-bit`, className: empty_component_gallery_module_scss_1.default.purpleLink },
                react_1.default.createElement("span", { className: empty_component_gallery_module_scss_1.default.text }, "Start tutorial"),
                react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "right_arrow", className: (0, classnames_1.default)(empty_component_gallery_module_scss_1.default.icon, base_ui_text_text_sizes_1.textSize.xxs) }))),
        react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.bottomText }, "We're here to help"),
        react_1.default.createElement(IconLine, null)));
}
exports.EmptyComponentGallery = EmptyComponentGallery;
function IconLine() {
    return (react_1.default.createElement("div", { className: empty_component_gallery_module_scss_1.default.iconLine },
        react_1.default.createElement(base_react_navigation_link_1.Link, { external: true, href: community_constants_links_1.links.slack },
            react_1.default.createElement("img", { alt: "slack-logo", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/slack-round-icon.svg" })),
        react_1.default.createElement(base_react_navigation_link_1.Link, { external: true, href: community_constants_links_1.links.github },
            react_1.default.createElement("img", { alt: "github-logo", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/github.svg" })),
        react_1.default.createElement(base_react_navigation_link_1.Link, { external: true, href: "https://bit.cloud/support" },
            react_1.default.createElement("img", { alt: "support", className: empty_component_gallery_module_scss_1.default.logo, src: "https://static.bit.dev/harmony/support.svg" }))));
}
//# sourceMappingURL=empty-component-gallery.js.map